Bug 1288797 - Can't drag mail between folders in Evolution 3.18.2
Can't drag mail between folders in Evolution 3.18.2
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-05 20:45 EST by Steevithak
Modified: 2015-12-14 08:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 08:34:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 741655 None None None Never

  None (edit)
Description Steevithak 2015-12-05 20:45:02 EST
Description of problem:
I upgraded to Fedora 23 today and restored my Evolution data. On prior versions of Evolution, it was possible to move emails between folders by drag-and-drop (e.g. I could click on an email in the inbox, drag it over a folder icon, and drop, resulting in the email being moved by Evolution from the inbox to the desired target folder). In the latest Evolution included with Fedora 23, this no longer works. 

The only way I've found to move email from my inbox to a folder is by right-clicking, selecting "move", scrolling through the lengthy folder list, selecting a folder, and then clicking "move" on the dialog. This is a huge pain and I'd love to see the easy GUI drag-and-drop method of moving files restored.

So is this a bug, an intentional feature removal, a new default setting or what? And how do I get the old behavior back?

Version-Release number of selected component (if applicable):
3.18.2-1.fc23

How reproducible:
Always for me

Steps to Reproduce:
1. did a clean installed of F23 on my box
2. restored evolution data from my last box using a backup file
3. checked my email and then tried move email from inbox to folders by drag-and-drop

Actual results:
drag-and drop has no effect, email remains in the inbox

Expected results:
mail is dragged to desired folder and moved there

Additional info:
Comment 1 Steevithak 2015-12-07 11:50:03 EST
Update: this bug is apparently related to the use of wayland. I switched the desktop from wayland+gnome to x+gnome and the drag-and-drop functionality returned to normal. Switched back to wayland, and it's broken again. So an acceptable workaround for this bug is to avoid using wayland.
Comment 2 Milan Crha 2015-12-14 08:34:31 EST
Thanks for a bug report. This is discussed upstream at [1], thus let's move there.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=741655

Note You need to log in before you can comment on or make changes to this bug.